// =====================================================================
//  $Id: TRunShutdownCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TRunShutdownCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:32  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TRunShutdownCommand.hh"
#include "TRunManager.hh"

static const Tstring _name = "/run/shutdown";
static const Tstring _desc = "terminate this session.";

TRunShutdownCommand::TRunShutdownCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TRunShutdownCommand::~TRunShutdownCommand()
{;}

Tvoid TRunShutdownCommand::Execute( const TstringList& arguments )
{
  theRunManager -> ShutdownRun();
  return;
}
